Magento Forum

   
Upgrading from 1.3 to 1.7 will not complete
 
Dullahan
Jr. Member
 
Total Posts:  4
Joined:  2010-07-05
 

I am trying to upgrade a Magento 1.3 store to 1.7.  First, I ran the old Magento database through the database repair tool. Then I uploaded a fresh copy of Magento 1.7 to the server and went through the web based installer. I entered all the database information from the old Magento 1.3 database and hit continue. So far so good.

This is where it starts to confuse me. I check PHPMYADMIN and for the first while it looks like the database get updates(tables are added etc) and everything seems to be going fine.

After a couple hours, if I go back to the web based downloader it is still sitting there thinking and when I check the database it has stopped updating. There are no errors present and it just thinks and thinks. It seems to me that it is doing something, but there is no progression in the install. I have allowed this process to continue for a day and half now.

If I check the MYSQL processes by using the SHOW PROCESSLIST query it shows the following:

Status: Copy to tmp table
SQL Query: ALTER TABLE ‘sales_flat_order’ ADD_UNIQUE_ID’ (’increment_id’)

If anyone can provide some information into what they think is happening that would be greatly appreciated.

 
Magento Community Magento Community
Magento Community
Magento Community
 
quicksand14
Sr. Member
 
Total Posts:  150
Joined:  2010-09-30
 

Please tell me you have answers to this.

I’m also upgrading from 1.3 to 1.7. I was successfully able to upgrade (1x out of 5 tries) but when I hit the backend it redirects to HTTPs// vs of my website and I have to clear the cache and sessions to get index.php/admin to show back up.

I’m trying this upgrade on my local and ran:

sed -e ‘s/example.com/devsample.com/g’ > newdb.sql

This was to replace example.com with devsample.com globally over the database in order to try the upgrade locally with a host entry of devsample.com

Am I missing anything? Do I have to run the “sed” differently to catch https? Didn’t think I would…

FRUSTRATED!!!!!!!

 
Magento Community Magento Community
Magento Community
Magento Community
 
aaronwallace
Member
 
Total Posts:  59
Joined:  2011-07-18
 

I personally suggest do not try to upgrade from 1.3 to 1.7 directly as there might be some extensions that are compatible with 1.3 and not with 1.7. Try to upgrade from 1.3 to 1.5 or 1.6 and then upgrade from 1.5 or 1.6 to 1.7.

Here are few useful links for you:
expertmagentodevelopers.com/blog/upgrade-magento-from-1-4-to-1-5-or-1-6/

expertmagentodevelopers.com/blog/magento-1-7-upgrade-errors-with-solutions/

 
Magento Community Magento Community
Magento Community
Magento Community
 
JKarlsson
Jr. Member
 
Total Posts:  10
Joined:  2012-08-08
 

Hello,

I also had a number of mistakes and errors while upgrading my Magento store. They made me crazy, I couldn’t do anything with them since I am not very good in programming. Some problems I was able to solve. For instance, one of the problem was connected with the old 4.0 version of PHP that was used at my server. But upgrading it to 5.3 version didn’t solve all problems. So, I started searching for some alternatives and found this article. I decided to use their services and was really happy with it. Everything is very simple and really works. Hope this will be as useful for you as it was to me.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top